# Uses of Class
org.astrogrid.samp.RegInfo

Packages that use RegInfo
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of RegInfo in org.astrogrid.samp

Methods in org.astrogrid.samp that return RegInfo
Modifier and Type
Method
Description
`static RegInfo`
RegInfo.`asRegInfo(Map map)`
Returns a given map as a RegInfo.

## Uses of RegInfo in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return RegInfo
Modifier and Type
Method
Description
`RegInfo`
HubConnection.`getRegInfo()`
Returns the registration information associated with this connection.

## Uses of RegInfo in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return RegInfo
Modifier and Type
Method
Description
`RegInfo`
XmlRpcHubConnection.`getRegInfo()`